## ide-debugger-address-map-private ide-debugger-address-map-private |

## Functions

IdeDebuggerAddressMap * | ide_debugger_address_map_new ()
void | ide_debugger_address_map_insert ()
gboolean | ide_debugger_address_map_remove ()
const IdeDebuggerAddressMapEntry * | ide_debugger_address_map_lookup ()
void | ide_debugger_address_map_free ()

## Types and Values

| IdeDebuggerAddressMap

## Description

## Functions

### ide_debugger_address_map_new ()

    IdeDebuggerAddressMap *
    ide_debugger_address_map_new (void);

### ide_debugger_address_map_insert ()

    void
    ide_debugger_address_map_insert (IdeDebuggerAddressMap *self,
                                     const IdeDebuggerAddressMapEntry *entry);

Inserts a new map entry as specified by `entry` .

The contents of `entry` are copied and therefore do not need to be kept around after calling this function.

See also: `ide_debugger_address_map_remove()`

#### Parameters

self | a IdeDebuggerAddressMap |
map | the map entry to insert |

Since: 3.32

### ide_debugger_address_map_remove ()

    gboolean
    ide_debugger_address_map_remove (IdeDebuggerAddressMap *self,
                                     IdeDebuggerAddress address);

Removes the entry found containing `address` .

#### Parameters

self | a IdeDebuggerAddressMap |
address | the address contained in the map |

Since: 3.32

### ide_debugger_address_map_lookup ()

    const IdeDebuggerAddressMapEntry *
    ide_debugger_address_map_lookup (const IdeDebuggerAddressMap *self,
                                     IdeDebuggerAddress address);

Attempts to locate which IdeDebuggerAddressMapEntry contains `address` within the region specified by IdeDebuggerAddressMapEntry.start and IdeDebuggerAddressMapEntry.end.

#### Parameters

self | a IdeDebuggerAddressMap |
address | an address to locate the containing map |

#### Returns

An IdeDebuggerAddressMapEntry or `NULL`.

[nullable]

Since: 3.32

### ide_debugger_address_map_free ()

    void
    ide_debugger_address_map_free (IdeDebuggerAddressMap *self);

Frees all memory associated with `self` .

#### Parameters

self | a IdeDebuggerAddressMap |

Since: 3.32

## Types and Values

### IdeDebuggerAddressMap

    typedef struct _IdeDebuggerAddressMap IdeDebuggerAddressMap;